PROC GLOBAL 

file listingFile;

alpha (300) str;

PROC READCSDIFFLISTING_FF

preproc

	// count the number of differences

	numeric numDiffCases;

	while fileread(listingFile,str) do
	
		if pos("[",str) = 1 then // listing a new ID where there were differences
			inc(numDiffCases);
		endif;
	
	enddo;
	
	
	// count the number of cases in one of the files
	
	numeric numCases;
	
	while loadcase(CEN2000) do
		inc(numCases);
	enddo;
	
	
	errmsg("There were %d cases (of %d) with differences, or %d%.",numDiffCases,numCases,100 * numDiffCases / numCases);
